Skip to content
MarketplaceSellers

Replace seller scopes

Replaces the seller's categories and brands and returns the current ones.

Path Parameters

sellerId*string

Identifier of the seller.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://api.ecomiq.pe/api/v1/sellers/7204558912004323447/scopes" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "scopes": [      {        "type": "category",        "categoryId": "7204558912004327982",        "brandId": "7204558912004322959",        "includeChildrenCategories": false      }    ]  }'
[  {    "id": "7204558912004323447",    "type": "category",    "includeChildrenCategories": false,    "createdOn": "2026-09-28T15:30:00Z",    "categoryId": "7204558912004327982",    "brandId": "7204558912004322959",    "updatedOn": "2026-09-28T15:30:00Z"  }]